Skip to main content
GET
/
api
/
v
{version}
/
merchants
cURL
curl --request GET \
  --url https://identity.payven.com.tr/api/v{version}/merchants
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "legalName": "<string>",
        "externalId": "<string>",
        "taxId": "<string>",
        "taxOffice": "<string>",
        "bkmMemberId": "<string>",
        "email": "<string>",
        "contactPhone": "<string>",
        "city": "<string>",
        "district": "<string>",
        "address": "<string>",
        "url": "<string>",
        "defaultMcc": "<string>",
        "defaultMccCategory": "<string>",
        "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "parentName": "<string>",
        "isActive": true,
        "status": 0,
        "created": "2023-11-07T05:31:56Z",
        "lastModified": "2023-11-07T05:31:56Z"
      }
    ],
    "pageNumber": 123,
    "totalPages": 123,
    "totalCount": 123,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

version
string
required

Query Parameters

IncludeInactive
boolean
ParentId
string<uuid>
City
string
Status
enum<integer>
Available options:
0,
1,
2
OnlyWithChildren
boolean
StartDate
string<date-time>
EndDate
string<date-time>
PageNumber
integer<int32>
PageSize
integer<int32>
SearchTerm
string

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object